package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 课程作业表
 */
@TableName("course_homework")
@ApiModel(value = "CourseHomework对象", description = "课程作业表")
public class CourseHomework implements Serializable {
	private static final long serialVersionUID = 1L;
    @ApiModelProperty("主键; ")
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @ApiModelProperty("课程组编号; ")
	@TableField(value = "course_group_id_")
    private Long courseGroupId;
    @ApiModelProperty("课程组类型PRACTICE、LIVE; ")
	@TableField(value = "course_group_type_")
    private String courseGroupType;
    @ApiModelProperty("课程编号; ")
	@TableField(value = "course_schedule_id_")
    private Long courseScheduleId;
    @ApiModelProperty("作业标题; ")
	@TableField(value = "title_")
    private String title;
    @ApiModelProperty("作业内容 ")
	@TableField(value = "content_")
    private String content;
    @ApiModelProperty("作业附件地址（多个用逗号分隔） ")
	@TableField(value = "attachments_")
    private String attachments;
    @ApiModelProperty("预计提交人数 ")
	@TableField(value = "expect_num_")
    private Integer expectNum;
    @ApiModelProperty("提交人数 ")
	@TableField(value = "completed_num_")
    private Integer completedNum;
    @ApiModelProperty("创建时间; ")
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
    @ApiModelProperty("修改时间; ")
	@TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

	public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    
	public Long getCourseGroupId() {
        return courseGroupId;
    }

    public void setCourseGroupId(Long courseGroupId) {
        this.courseGroupId = courseGroupId;
    }
    
	public String getCourseGroupType() {
        return courseGroupType;
    }

    public void setCourseGroupType(String courseGroupType) {
        this.courseGroupType = courseGroupType;
    }
    
	public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }
    
	public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }
    
	public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
    
	public String getAttachments() {
        return attachments;
    }

    public void setAttachments(String attachments) {
        this.attachments = attachments;
    }
    
	public Integer getExpectNum() {
        return expectNum;
    }

    public void setExpectNum(Integer expectNum) {
        this.expectNum = expectNum;
    }
    
	public Integer getCompletedNum() {
        return completedNum;
    }

    public void setCompletedNum(Integer completedNum) {
        this.completedNum = completedNum;
    }
    
	public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
	public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    
}